summaryrefslogtreecommitdiffstats
path: root/gfx/ots/sync.sh
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /gfx/ots/sync.sh
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'gfx/ots/sync.sh')
-rwxr-xr-xgfx/ots/sync.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/gfx/ots/sync.sh b/gfx/ots/sync.sh
new file mode 100755
index 000000000..5a7e54b0a
--- /dev/null
+++ b/gfx/ots/sync.sh
@@ -0,0 +1,29 @@
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+if [ $# = 0 ] ; then
+ echo "usage: ./sync.sh ots-git-directory"
+ exit 1
+fi
+
+echo "Updating LICENSE..."
+cp $1/LICENSE .
+
+echo "Updating src..."
+cd src
+ls | fgrep -v moz.build | xargs rm -rf
+cp -r $1/src/* .
+cd ..
+
+echo "Updating include..."
+rm -rf include/
+cp -r $1/include .
+
+echo "Updating README.mozilla..."
+REVISION=`cd $1; git log | head -1 | sed "s/commit //"`
+sed -e "s/\(Current revision: \).*/\1$REVISION/" README.mozilla > README.tmp
+mv README.tmp README.mozilla
+
+echo "Applying ots-visibility.patch..."
+patch -p3 < ots-visibility.patch